--- ./include/rs_vand/rs_galois.h	2024-03-11 02:39:24
+++ ./include/rs_vand/rs_galois.h	2024-03-11 02:39:35
@@ -37,8 +37,8 @@
 #define FIELD_SIZE (1 << 16)
 #define GROUP_SIZE (FIELD_SIZE - 1)
 
-void rs_galois_init_tables();
-void rs_galois_deinit_tables();
+void rs_galois_init_tables(void);
+void rs_galois_deinit_tables(void);
 int rs_galois_mult(int x, int y);
 int rs_galois_div(int x, int y);
 int rs_galois_inverse(int x);
--- src/builtin/rs_vand/rs_galois.c	2024-03-11 02:42:07
+++ src/builtin/rs_vand/rs_galois.c	2024-03-11 02:42:38
@@ -45,7 +45,7 @@
 int *ilog_table = NULL;
 int *ilog_table_begin = NULL;
 
-void rs_galois_init_tables()
+void rs_galois_init_tables(void)
 {
   log_table = (int*)malloc(sizeof(int)*FIELD_SIZE);
   ilog_table_begin = (int*)malloc(sizeof(int)*FIELD_SIZE*3);
@@ -65,7 +65,7 @@
   ilog_table = &ilog_table_begin[GROUP_SIZE];
 }
 
-void rs_galois_deinit_tables()
+void rs_galois_deinit_tables(void)
 {
   free(log_table);
   free(ilog_table_begin);
